subroutine header_terminal(ifile)
  implicit none
  integer:: ifile

97 format('#',A)

write(ifile,97) '======================================================================'
write(ifile,97) ''
write(ifile,97) '  H-COUP  [Version 3.0 (November 28, 2023)]'
write(ifile,97) '  Program for full-NLO predictions of Higgs bosons decays in non-minimal Higgs models'
write(ifile,97) ''
write(ifile,97) '  Authors:'
write(ifile,97) '   Masashi Aiko      (KEK)'
write(ifile,97) '   Shinya Kanemura   (Osaka U.)'
write(ifile,97) '   Mariko Kikuchi    (Nihon U.)'
write(ifile,97) '   Kodai Sakurai     (University of Warsaw/Tohoku U.)'
write(ifile,97) '   Kei Yagyu         (Osaka U.)'
write(ifile,97) ''
write(ifile,97) '  Please Cite:' 
write(ifile,97) ''
write(ifile,97) '   H-COUP Manual'
write(ifile,97) '          Version 1 [arXiv:1710.04603, Comput.Phys.Commun.233(2018)134]'
write(ifile,97) '          Version 2 [arXiv:1910.12769, Comput.Phys.Commun.257(2020)107512]'
write(ifile,97) '          Version 3 [arXiv:2311.15892]'
write(ifile,97) ''
write(ifile,97) '   Full-NLO calculations of the branching ratios in all the models' 
write(ifile,97) '          [arXiv:1906.10070, NPB949(2019)114791]' 
write(ifile,97) '          (see also [arXiv:1803.01456, PLB783(2018)140])'
write(ifile,97) '   Formulae of the one-loop calculations are based on the following papers:'
write(ifile,97) '          [arXiv:1705.05399, PRD96(2017)035014]'
write(ifile,97) '   (HSM)  [arXiv:1511.06211, NPB907(2016)286]'
write(ifile,97) '          [arXiv:1608.01582, NPB917(2017)154]'
write(ifile,97) '   (THDM) [hep-ph/0408364,   PRD70(2004)115002]'
write(ifile,97) '          [arXiv:1401.0515,  PLB731(2014)27]'
write(ifile,97) '          [arXiv:1502.07716, NPB896(2015)80]'
write(ifile,97) '          [arXiv:2108.11868, NPB973(2021)115581]'
write(ifile,97) '          [arXiv:2203.08227, NPB983(2022)115906]'
write(ifile,97) '          [arXiv:2207.01032, NPB986(2023)116047]'
write(ifile,97) '   (IDM)  [arXiv:1605.08520, PRD94(2016)115011]'
write(ifile,97) ''
write(ifile,97) '======================================================================'

end subroutine header_terminal